//www.youtube.com
function getSafeArray(jsArr) {
    var dict = new ActiveXObject("Scripting.Dictionary");
    for (var i = 0; i < jsArr.length; i++)
    dict.add(i, jsArr[i]);
    return dict.Items();
}

function ParseHTML(answer)
{
  if (answer == undefined) {
   return "Input parameter is not defined.";
  } else {
   //<link itemprop="embedURL" href="https://www.youtube.com/embed/WlzBIumcnwQ">
   var exp = '<link itemprop="embedURL" href="(http(?:s)?://www.youtube.com/embed/.*?)">';
   var reg = new RegExp(exp, "i");
   if (reg != undefined) {
    return Document.Body.innerHTML;
    found = answer.match(reg);
    if ((found == undefined) || (found.length == 0)) { return answer + "\nNothing found." }
    var res = '';
    for (var i = 1; i < found.length; i++) {
     res = res + found[i] + '\n'
    }
    var num = parseInt(found.length) - 1
    return res + "\nFound: " + num.toString();
   } 
   return answer;
  }
};